com.icesoft.faces.component.outputchart

## Class AbstractChart

- java.lang.Object
- - com.icesoft.faces.component.outputchart.AbstractChart

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AxisChart, PieChart

      public abstract class AbstractChart
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.krysalis.jcharts.Chart` | `chart`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractChart()`
    `AbstractChart(javax.faces.component.UIComponent uiComponent)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `buildChart(OutputChart outputChart)`
    `void` | `encode(javax.faces.context.FacesContext context, OutputChart outputChart)`
    `double[][]` | `getAs2dDoubleArray(java.lang.Object obj)`
    `double[]` | `getAsDoubleArray(java.lang.Object obj)`
    `java.awt.Paint[]` | `getAsPaintArray(java.lang.Object obj)`
    `java.awt.Shape[]` | `getAsShapeArray(java.lang.Object obj)`
    `java.lang.String[]` | `getAsStringArray(java.lang.Object obj)`
    `org.krysalis.jcharts.Chart` | `getChart()`
    `org.krysalis.jcharts.imageMap.ImageMapArea` | `getClickedImageMapArea()`
    `static java.awt.Color` | `getColor(java.lang.String color)`
    `java.util.Map` | `getGeneratedImageMapArea()`
    `org.krysalis.jcharts.properties.LegendProperties` | `getLegendProperties(OutputChart outputChart)`
    `java.awt.Paint[]` | `getPaints(java.lang.Object obj, int count)`
    `void` | `setChart(org.krysalis.jcharts.Chart userDefinedChart)`
    `void` | `setClickedImageMapArea(org.krysalis.jcharts.imageMap.ImageMapArea clickedImageMapArea)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### chart

          protected transient org.krysalis.jcharts.Chart chart

  - ### Constructor Detail

    - #### AbstractChart

          public AbstractChart()

    - #### AbstractChart

          public AbstractChart(javax.faces.component.UIComponent uiComponent)
                        throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

  - ### Method Detail

    - #### encode

          public void encode(javax.faces.context.FacesContext context,
                             OutputChart outputChart)
                      throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### buildChart

          protected abstract void buildChart(OutputChart outputChart)
                                      throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### getChart

          public org.krysalis.jcharts.Chart getChart()

    - #### setChart

          public void setChart(org.krysalis.jcharts.Chart userDefinedChart)

    - #### getAsStringArray

          public java.lang.String[] getAsStringArray(java.lang.Object obj)

    - #### getAs2dDoubleArray

          public double[][] getAs2dDoubleArray(java.lang.Object obj)

    - #### getAsDoubleArray

          public double[] getAsDoubleArray(java.lang.Object obj)

    - #### getAsPaintArray

          public java.awt.Paint[] getAsPaintArray(java.lang.Object obj)

    - #### getAsShapeArray

          public java.awt.Shape[] getAsShapeArray(java.lang.Object obj)

    - #### getPaints

          public java.awt.Paint[] getPaints(java.lang.Object obj,
                                            int count)

    - #### getGeneratedImageMapArea

          public java.util.Map getGeneratedImageMapArea()

    - #### getClickedImageMapArea

          public org.krysalis.jcharts.imageMap.ImageMapArea getClickedImageMapArea()

    - #### setClickedImageMapArea

          public void setClickedImageMapArea(org.krysalis.jcharts.imageMap.ImageMapArea clickedImageMapArea)

    - #### getColor

          public static java.awt.Color getColor(java.lang.String color)

    - #### getLegendProperties

          public org.krysalis.jcharts.properties.LegendProperties getLegendProperties(OutputChart outputChart)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.